ru.bitel.bgbilling.modules.inet.api.server.event

## Class RequestLogGetEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.api.server.event.RequestLogGetEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestLogGetEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequestLogGetEvent.LogEntryResult`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestLogGetEvent()`
    `` | `RequestLogGetEvent(int moduleId, int deviceId, ConnectionLogEntry entry)`
    `` | `RequestLogGetEvent(int moduleId, int deviceId, int applicationId, java.util.List<ConnectionLogEntry> logEntryList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getApplicationId()`
    `int` | `getDeviceId()`
    `java.util.List<ConnectionLogEntry>` | `getLogEntryList()`
    `java.util.List<RequestLogGetEvent.LogEntryResult>` | `getLogEntryResultList()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setLogEntryResultList(java.util.List<RequestLogGetEvent.LogEntryResult> logEntryResultList)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestLogGetEvent

          protected RequestLogGetEvent()

    - #### RequestLogGetEvent

          public RequestLogGetEvent(int moduleId,
                                    int deviceId,
                                    int applicationId,
                                    java.util.List<ConnectionLogEntry> logEntryList)

    - #### RequestLogGetEvent

          public RequestLogGetEvent(int moduleId,
                                    int deviceId,
                                    ConnectionLogEntry entry)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getLogEntryList

          public java.util.List<ConnectionLogEntry> getLogEntryList()

    - #### getLogEntryResultList

          public java.util.List<RequestLogGetEvent.LogEntryResult> getLogEntryResultList()

    - #### setLogEntryResultList

          public void setLogEntryResultList(java.util.List<RequestLogGetEvent.LogEntryResult> logEntryResultList)

    - #### getApplicationId

          public int getApplicationId()

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`